import { logicConfig } from "@/logicConfig";
import layoutMain from "@/Main.vue";
//登录页
import login from "@/components/frame/login.vue";
//系统图
import systemGraph from "@/components/systemGraph";
//系统图编辑页面
import systemGraphEdit from "@/components/systemGraph/edit";

import facilityLedger from "@/components/old-adm/ledger/facility/index";

export default [
  {
    path: logicConfig.routerNameConfig.loginRouteName,
    name: "登录页",
    component: login,
  },
  {
    path: "/",
    name: "首页",
    component: layoutMain,
  },
  {
    path: logicConfig.routerNameConfig.systemGraphName,
    name: "系统图",
    component: layoutMain,
    children: [
      {
        path: "/",
        component: systemGraph,
      },
      {
        path: "/ledger/facility",
        name: "设备台账",
        component: facilityLedger,
      },
    ],
  },
  {
    path: logicConfig.routerNameConfig.systemGraphEditName,
    name: "系统图编辑器",
    component: systemGraphEdit,
  },
];
